from setuptools import setup, find_packages

ALL_PYI = [('*/' * depth) + '*.pyi' for depth in range(0, 15)]

setup(
    name='orekit_jpype',
    version='12.0',
    packages= ['orekit_jpype', 'org-stubs', 'java-stubs',],
    install_requires=[
        'jpype1',
      ],
    package_dir = {'orekit_jpype':'orekit_jpype', 'org-stubs':'org-stubs', 'java-stubs':'java-stubs'},
    package_data={'': ['*.xls', '*.txt', '*.jar','*.rst', '*.zip',  '*'], 'java-stubs':ALL_PYI, 'org-stubs':ALL_PYI},
    include_package_data=True,
    license='apache',
    author='Petrus Hyvonen',
    author_email='petrus.hyvonen@gmail.com',
    description='None',
    zip_safe = False
)
