import jpype
import jpype.imports  # This enables direct import of java classes
#import jpype.beans  # This creates pythonic versions of getters / setters (as in JCC version)

#from jpype.types import *

import os
dirpath = os.path.dirname(os.path.abspath(__file__))


def initVM():
    jpype.addClassPath(os.path.join(dirpath, 'jars','*'))

    # Launch the JVM
    if not jpype.isJVMStarted():
        # '-Xcheck:jni','-verbose:jni','-verbose:class'
        jpype.startJVM( convertStrings=False)
    else:
        print("JVM already started, resuming on started JVM")

    # Perform modifications for orekit
    import orekit_jpype.orekit_converters
